#!/bin/bash

_install() {
    cat > /etc/rc.local.d/001-ops-firstrun.sh <<'EOF'
#!/bin/bash

# disable screen blank
/usr/bin/setterm -term linux -blank 0 > /dev/tty1

# nic optimize
bash /opt/op/ethtool_seting.sh

# irq optimize
bash /opt/op/set_irq_affinity.sh

EOF

chmod +x /etc/rc.local.d/001-ops-firstrun.sh

}

_check() {
    _check="PASS"
    if [ ! -x "/etc/rc.local.d/001-ops-firstrun.sh" ];then
        _check="FAIL"
        PRINT_ERR "[ERROR] File 001-ops-firstrun.sh not found or have not execute permission is granted in /etc/rc.local.d/"
    fi

}
